unit myArc;

interface

procedure Compress(fIn, fOut: string);
procedure Uncompress(fIn, fOut: string);

implementation

type
  PItem = ^TItem;
  TItem = record
    str: string;
    next: PItem;
    slen: integer;
  end;

var
  root: PItem = nil;
  curr: PItem = nil;

function IsEmpty(item: PItem): boolean;
begin
  Result := (item = nil);
end;

procedure Compress(fIn, fOut: string);
begin
end;

procedure Uncompress(fIn, fOut: string);
begin
end;

end.
